<template>
  <div>
    <h1 class="subheading grey--text text--darken-1">Movie</h1>
    <v-card v-if="movie" class="grey darken-3 px-3 pb-4 pt-3">
      <v-img height="200" :src="movieImage" position="center center">
        <v-layout wrap>
          <v-card-title class="pb-1">
            <h1 class="grey--text text--lighten-5 font-weight-regular pr-1">
              {{ movie.name }}
            </h1>
            <h2 class="grey--text text--lighten-2 font-weight-regular">
              ({{ movie.year }})
            </h2>
            <p class="grey--text text--lighten-3" id="synopsis">
              Lorem ipsum dolor sit, amet consectetur adipisicing elit. Voluptas
              dicta, odio minus voluptatibus eum ipsum. Cum alias esse
              voluptatum adipisci possimus. Sed aperiam consequuntur magni
              earum? Inventore facilis cumque hic.
            </p>
          </v-card-title>
        </v-layout>
      </v-img>

      <v-layout v-if="movie" class="px-2 mb-3" wrap>
        <ActorCard
          v-for="(actor, index) in movie.actors"
          :key="index"
          :actor="actor"
        />
      </v-layout>

      <v-btn round color="cyan ml-3 grey--text text--darken-4 font-weight-bold"
        >Watch for ${{ movie.price.toFixed(2) }}</v-btn
      >
    </v-card>
  </div>
</template>

<script>
import ActorCard from "../components/ActorCard.vue";
import { mapGetters } from "vuex";
export default {
  components: {
    ActorCard
  },
  computed: {
    ...mapGetters({ getMovieById: "movies/getMovieById" }),
    movie() {
      return this.getMovieById(this.$route.params.id);
    },
    movieImage() {
      return `/images/${this.movie.name}.jpg` || "";
    }
  }
};
</script>
